[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# TShortCutList.ShortCuts

Provides indexed, read-only access to the TShortCut instances in the list by their ordinal position.

## Declaration

Source position: actnlist.pas line 141

`public property TShortCutList.ShortCuts[Index: Integer] : TShortCut read GetShortCuts;`

## Description

ShortCuts is an indexed, read-only TShortCut property which allows access to the shortcut classes in the list by their ordinal position. The property value contains the value from the Objects property at the position specified in Index cast to the TShortCut type.

Use the Add, Delete, or Clear methods to maintain the text and TShortCut instances in the list.

## See also

TShortCut
TShortCutList.Add |  | Adds a shortcut with the specified text to the list.
TStringList.Delete
TStringList.Clear
TStrings.Objects